<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Object Hierarchy: VTE Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="VTE Reference Manual">
<link rel="up" href="index.html" title="VTE Reference Manual">
<link rel="prev" href="vte-Version-Information.html" title="Version Information">
<link rel="next" href="api-index-full.html" title="Index">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="vte-Version-Information.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="api-index-full.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="object-hierarchy"></a>Object Hierarchy</h1></div></div></div>
<pre class="screen">
    <a href="/usr/share/gtk-doc/html/gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">├──</span> <a class="link" href="vte-Vte-PTY.html#VtePty">VtePty</a>
    <span class="lineart">╰──</span> <a href="/usr/share/gtk-doc/html/gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="/usr/share/gtk-doc/html/gtk3/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
            <span class="lineart">╰──</span> <a class="link" href="VteTerminal.html" title="VteTerminal">VteTerminal</a>
    <a href="/usr/share/gtk-doc/html/gobject/gobject-Boxed-Types.html">GBoxed</a>
    <span class="lineart">╰──</span> <a class="link" href="VteRegex.html" title="VteRegex">VteRegex</a>
    <a href="/usr/share/gtk-doc/html/gobject/gobject-Enumeration-and-Flag-Types.html">GEnum</a>
    <span class="lineart">├──</span> <a class="link" href="vte-Vte-PTY.html#VtePtyError" title="enum VtePtyError">VtePtyError</a>
    <span class="lineart">├──</span> <a class="link" href="VteTerminal.html#VteCursorBlinkMode" title="enum VteCursorBlinkMode">VteCursorBlinkMode</a>
    <span class="lineart">├──</span> <a class="link" href="VteTerminal.html#VteCursorShape" title="enum VteCursorShape">VteCursorShape</a>
    <span class="lineart">├──</span> <a class="link" href="VteTerminal.html#VteEraseBinding" title="enum VteEraseBinding">VteEraseBinding</a>
    <span class="lineart">├──</span> <a class="link" href="VteTerminal.html#VteWriteFlags" title="enum VteWriteFlags">VteWriteFlags</a>
    <span class="lineart">╰──</span> <a class="link" href="VteTerminal.html#VteTextBlinkMode" title="enum VteTextBlinkMode">VteTextBlinkMode</a>
    <a href="/usr/share/gtk-doc/html/gobject/gobject-Enumeration-and-Flag-Types.html">GFlags</a>
    <span class="lineart">╰──</span> <a class="link" href="vte-Vte-PTY.html#VtePtyFlags" title="enum VtePtyFlags">VtePtyFlags</a>
</pre>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>